package com.yonggang.activity;

import android.app.Activity;
import android.content.Intent;
import android.support.v4.app.NavUtils;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

import com.yonggang.R;
import com.yonggang.dao.InaccountDao;
import com.yonggang.dao.OutaccountDao;
import com.yonggang.model.InaccountModel;
import com.yonggang.model.OutaccountModel;

import java.util.Calendar;

public class AddtblifeActivity extends Activity{
    public EditText nameET, brandET, priceET, numberET, moneyET, markET;
    public TextView dateTV,dateET;
    public Spinner typeSpinner;
    public DatePicker datePicker;
    public Button btnSave, btnCancel;
    private ActionBar actionBar;
    final int CODE=0x110;

    public void onCreate(Bundle savedInstanceState) {//onCreate()方法头部
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_addtblife);
        initView();
        if(NavUtils.getParentActivityName(AddtblifeActivity.this)!=null){
            getActionBar().setDisplayHomeAsUpEnabled(true);
        }
        Calendar calendar = Calendar.getInstance();
        int year = calendar.get(Calendar.YEAR);
        int month = calendar.get(Calendar.MONTH);
        int day = calendar.get(Calendar.DAY_OF_MONTH);
        String dateResult = year + "年" + (month+1)+ "月" + day + "日";
        dateET.setText(dateResult);
        dateET.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(AddtblifeActivity.this, SelectDateActivity.class);
                startActivityForResult(intent, CODE);

            }
        });
        btnSave.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                OutaccountDao outaccountDao=new OutaccountDao(AddtblifeActivity.this);
               OutaccountModel outaccountModel=new OutaccountModel((int)outaccountDao.getCount(),nameET.getText().toString(),
                       typeSpinner.getSelectedItem().toString(),brandET.getText().toString(),Double.parseDouble(priceET.getText().toString()),
                       Integer.parseInt(numberET.getText().toString()), Double.parseDouble(moneyET.getText().toString()),dateET.getText().toString(),
                       markET.getText().toString());
                outaccountDao.add(outaccountModel);
                Toast.makeText(AddtblifeActivity.this, "数据添加成功", Toast.LENGTH_SHORT).show();

            }
        });



    }//onCreate()方法尾部
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() == android.R.id.home) {
            if (NavUtils.getParentActivityName(AddtblifeActivity.this) != null) {
                NavUtils.navigateUpFromSameTask(AddtblifeActivity.this);
            }
            return true;
        } else {
            return super.onOptionsItemSelected(item);
        }

    }
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if(requestCode==CODE&&resultCode== CODE){
            Bundle bundle=data.getExtras();
            String str=bundle.getString("date");
            dateET.setText(str);
        }
    }

    private void initView() {//初始化相关组件
        nameET = (EditText) findViewById(R.id.nameET);
        typeSpinner = (Spinner) findViewById(R.id.typeSpinner);
        brandET = (EditText) findViewById(R.id.brandET);
        priceET = (EditText) findViewById(R.id.priceET);
        numberET = (EditText) findViewById(R.id.numberET);
        moneyET = (EditText) findViewById(R.id.moneyET);
        markET = (EditText) findViewById(R.id.moneyET);
        dateET= (TextView) findViewById(R.id.dateET);
        btnSave = (Button) findViewById(R.id.btnSave);
        btnCancel = (Button) findViewById(R.id.btnCancel);

    }


}
