package com.yonggang.activity;

import android.app.DatePickerDialog;
import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

import com.yonggang.R;
import com.yonggang.dao.InaccountDao;
import com.yonggang.model.InaccountModel;

/**
 * Created by Administrator on 2017/8/18.
 */
public class InaccountTbActivity extends AppCompatActivity {
    public static final int DATE_DIALOG_ID=0;
    public Spinner spinner1,spinner2;
    public Button btnAdd,btnCancle ,btnFinish;
    private int mYear,mMonth,mDay;
    public EditText txtInMoney,txtInTime ,txtInMark;
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_flag);
        spinner1= (Spinner) findViewById(R.id.spinner1);
        spinner2= (Spinner) findViewById(R.id.spinner2);
        txtInMoney= (EditText) findViewById(R.id.txtInMoney);
        txtInTime= (EditText) findViewById(R.id.txtInTime);
        btnAdd= (Button) findViewById(R.id.btnAdd);
        btnCancle= (Button) findViewById(R.id.btnCancel);
        btnFinish= (Button) findViewById(R.id.btnFinish);
        txtInMark= (EditText) findViewById(R.id.txtInMark);
        btnAdd.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String  strInMoney=txtInMoney.getText().toString();
                if(!strInMoney.isEmpty()){
                    InaccountDao inaccountDao=new InaccountDao(InaccountTbActivity.this);
                    InaccountModel inaccountModel=new InaccountModel(inaccountDao.getMaxId()+1,
                            spinner1.getSelectedItem().toString(),Double.parseDouble(strInMoney),
                            txtInTime.getText().toString(),spinner2.getSelectedItem().toString(),
                           txtInMark.getText().toString() );
                    inaccountDao.add(inaccountModel);
                    Toast.makeText(InaccountTbActivity.this, "新增收入数据添加成功", Toast.LENGTH_SHORT).show();
                    cancle();

                }else{
                    Toast.makeText(InaccountTbActivity.this, "请输入金额！", Toast.LENGTH_SHORT).show();                }
            }
        });
        btnCancle.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                cancle();
            }
        });
        btnFinish.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startActivity(new Intent(InaccountTbActivity.this,MainActivity.class));
                finish();

            }
        });

        txtInTime.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                showDialog(DATE_DIALOG_ID);
            }
        });



    }

    public void cancle() {
        spinner1.setSelection(0);
        txtInMoney.setText("");
        txtInTime.setText("");
        spinner2.setSelection(0);
        txtInMark.setText("");
    }

    @Nullable
    private DatePickerDialog.OnDateSetListener mDateSetListener=new DatePickerDialog.OnDateSetListener() {
        @Override
        public void onDateSet(DatePicker view, int year, int monthOfYear, int dayOfMonth) {
            mYear=year;
            mMonth=monthOfYear;
            mDay=dayOfMonth;
            updateDisplay();
        }
    };

    private void updateDisplay() {
        txtInTime.setText(new StringBuilder().append(mYear).
                append("_").append(mMonth).append("_").append(mDay));
    }

    @Override
    protected Dialog onCreateDialog(int id) {

        switch (id){
            case DATE_DIALOG_ID:
                return new DatePickerDialog(this, mDateSetListener,mYear,mMonth,mDay);

        }
        return null;
    }


}
