package com.yonggang.activity;


import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.NavUtils;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.yonggang.R;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends Activity {//MainActivity类头部
    private LinearLayout main_LinearLayout;
    private GridView gridView;
    private List pictureList;
    public android.app.ActionBar actionBar;

    String[] titles = new String[]{"语文", "数学", "英语", "物理", "化学", "历史", "地理", "生物"};
    int[] images = new int[]{R.drawable.chinese, R.drawable.maths, R.drawable.english,
            R.drawable.physics, R.drawable.chemistry, R.drawable.history, R.drawable.geographical, R.drawable.biology};

    protected void onCreate(Bundle savedInstanceState) {//onCreate()方法头部
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        gridView = (GridView) findViewById(R.id.gridView);
        PictureAdapter adapter = new PictureAdapter(titles, images, this);
        gridView.setAdapter(adapter);
        gridView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                Intent intent = null;
                switch (position) {
                    case 0:
                        intent = new Intent(MainActivity.this, ChineseActivity.class);
                        startActivity(intent);
                        break;
                    case 1:
                        intent = new Intent(MainActivity.this, Maths.class);
                        startActivity(intent);
                        break;
                    case 2:
                        startActivity(new Intent(MainActivity.this, English.class));
                        break;
                    case 3:
                        startActivity(new Intent(MainActivity.this, Physics.class));
                        finish();
                    case 4:
                        startActivity(new Intent(MainActivity.this, Chemistry.class));
                        break;
                    case 5:
                        startActivity(new Intent(MainActivity.this, Histroy.class));
                        break;
                    case 6:
                        startActivity(new Intent(MainActivity.this,Geographical.class));
                        break;
                    case 7:
                        startActivity(new Intent(MainActivity.this, Biology.class));
                        break;


                }
            }
        });
        if (NavUtils.getParentActivityName(MainActivity.this) != null) {
            getActionBar().setDisplayHomeAsUpEnabled(true);
        }
    }//onCreate()方法尾部


    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();
        if (id == android.R.id.home) {
            if (NavUtils.getParentActivityName(MainActivity.this) != null) {

                NavUtils.navigateUpFromSameTask(MainActivity.this);

            }
            return true;
        } else {
            return super.onOptionsItemSelected(item);
        }


    }

}//MainActivity类尾部

class ViewHolder {
    public ImageView image;
    public TextView title;

}

class Picture {
    public String title;
    public int imageId;

    public Picture() {
        super();
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getImageId() {
        return imageId;
    }

    public void setImageId(int imageId) {
        this.imageId = imageId;
    }

    public Picture(String title, int imageId) {
        super();
        this.title = title;
        this.imageId = imageId;
    }
}


class PictureAdapter extends BaseAdapter {
    private LayoutInflater inflater;
    private List<Picture> pictureList;
    private Picture picture;

    public PictureAdapter(String[] title, int[] image, Context content) {
        super();
        inflater = LayoutInflater.from(content);
        pictureList = new ArrayList<Picture>();
        for (int i = 0; i < title.length; i++) {
            picture = new Picture(title[i], image[i]);
            pictureList.add(picture);

        }


    }

    @Override
    public int getCount() {
        if (pictureList != null) {
            return pictureList.size();
        }
        return 0;
    }

    @Override
    public Object getItem(int i) {
        return pictureList.get(i);
    }

    @Override
    public long getItemId(int i) {
        return i;
    }

    @Override
    public View getView(int arg0, View arg1, ViewGroup viewGroup) {
        ViewHolder viewHolder;// 创建ViewHolder对象
        if (arg1 == null) {// 判断图像标识是否为空
            arg1 = inflater.inflate(R.layout.gvitem, null);// 设置图像标识
            viewHolder = new ViewHolder();// 初始化ViewHolder对象
            viewHolder.title = (TextView) arg1.findViewById(R.id.ItemTitle);// 设置图像标题
            viewHolder.image = (ImageView) arg1.findViewById(R.id.ItemImage);// 设置图像的二进制值
            arg1.setTag(viewHolder);// 设置提示
        } else {
            viewHolder = (ViewHolder) arg1.getTag();// 设置提示
        }
        viewHolder.title.setText(pictureList.get(arg0).getTitle());// 设置图像标题
        viewHolder.image.setImageResource(pictureList.get(arg0).getImageId());// 设置图像的二进制值
        return arg1;// 返回图像标识


    }
}









