package com.yonggang.activity;

import android.app.Activity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.Toast;

import com.yonggang.R;

import java.util.Calendar;


public class SelectDateActivity extends Activity {
    public int year, month, day;
    public DatePicker datePicker;
    public Button btnSave;


    @Override
    protected void onCreate(final Bundle savedInstanceState) {//onCreate()方法头部
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_select);
        Calendar calendar = Calendar.getInstance();
        year = calendar.get(Calendar.YEAR);
        month = calendar.get(Calendar.MONTH);
        day = calendar.get(Calendar.DAY_OF_MONTH);
        datePicker = (DatePicker) findViewById(R.id.datePicker);
        datePicker.init(year, month, day, new DatePicker.OnDateChangedListener() {

            @Override
            public void onDateChanged(DatePicker view, int year, int monthOfYear, int dayOfMonth) {
                SelectDateActivity.this.year = year;
                SelectDateActivity.this.month = monthOfYear;
                SelectDateActivity.this.day = dayOfMonth;
                show(year, monthOfYear, dayOfMonth);

            }
        });
        final Intent intent=getIntent();
        btnSave = (Button) findViewById(R.id.btnSave);
        btnSave.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Bundle bundle = new Bundle();
                String date = year + "年" + (month + 1) + "月" + day + "日";
                bundle.putCharSequence("date", date);
                intent.putExtras(bundle);
                setResult(0x110,intent);
                finish();

            }
        });


    }//onCreate()方法尾部

    private void show(int year, int month, int day) {
        String str = "你的选择是：" + year + "年" + (month + 1) + "月" + day + "日";
        Toast.makeText(SelectDateActivity.this, str, Toast.LENGTH_SHORT).show();

    }
}

