package com.yonggang.dao;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

import com.yonggang.model.ChineseModel;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by Administrator on 2017/9/22.
 */

public class ChineseDao {
    private SQLiteDatabase db;
    private DBOpenHelper helper;


    public ChineseDao(Context context) {
        helper = new DBOpenHelper(context);
        db = helper.getWritableDatabase();
    }
    //向语文表中插入一条数据
    public void add(ChineseModel chinesemodel) {

        db.execSQL("insert into chinese_table(_id,title ,context,time,datatype,datatime," +
                "locktype,lock)values(?,?,?,?,?,?,?,?)," +
                "new Object[]{chinesemodel.getId()," +
                "chinesemodel.getTitle(),chinesemodel.getContext(),chinesemodel.getTime()," +
                "chinesemodel.getDatatype(),chinesemodel.getData()," +
                "chinesemodel.getLocktype(),chinesemodel.getLock()};");

    }
    //更新一条语文表中的数据
    public void update(ChineseModel chinesemodel) {

        db.execSQL("update chinese_table set title=?,context=?,time=?,datatype=?,datatime=?," +
                "locktype=?,lock=?,new Objece[]{chinesemodel.getTitle(),chinesemodel.getContext()," +
                "chinesemodel.getTime(),chinesemodel.getDatatype(),chinesemodel.getDatatime()," +
                "chinesemodel.getLocktype(),chinesemodel.getLock()}");
    }
//查找一条记录
    public ChineseModel find(int id) {
        Cursor cursor = db.rawQuery("select _id ,title,time,context,datatype,datatime,locktype,lock from" +
                " chinese_table where _id=?" ,new String[]{String.valueOf(id)});
        ChineseModel model = new ChineseModel();
        if (cursor.moveToNext()) {
            model.setId(cursor.getString(cursor.getColumnIndex("_id")));
            model.setTitle(cursor.getString(cursor.getColumnIndex("title")));
            model.setContext(cursor.getString(cursor.getColumnIndex("context")));
            model.setTime(cursor.getString(cursor.getColumnIndex("time")));
            model.setDatatype(cursor.getString(cursor.getColumnIndex("datatype")));
            model.setDatatime(cursor.getString(cursor.getColumnIndex("datatime")));
            model.setLocktype(cursor.getString(cursor.getColumnIndex("locktype")));
            model.setLock(cursor.getString(cursor.getColumnIndex("lock")));

            return model;

        }
        cursor.close();
        return null;
    }
//删除一条记录
    public void delete(Integer... ids) {
        if (ids.length > 0) {
            StringBuffer sb = new StringBuffer();
            sb.append("?").append(",");
            sb.deleteCharAt(ids.length - 1);
            db.execSQL("delete from chinese_table where _id in (" + sb + ")," + (Object[]) ids);
        }

    }
    //获取起始start,之后的count条记录
    public List<ChineseModel> getScrollData(int start, int count){

       List<ChineseModel>list=new ArrayList<>();
       Cursor cursor= db.rawQuery("select * from chinese_talbe limit ?,?",
                new String[]{String.valueOf(start),String.valueOf(count)});
        while(cursor.moveToNext()){
            ChineseModel model=new ChineseModel();
            model.setId(cursor.getString(cursor.getColumnIndex("_id")));
            model.setTitle(cursor.getString(cursor.getColumnIndex("title")));
            model.setContext(cursor.getString(cursor.getColumnIndex("context")));
            model.setTime(cursor.getString(cursor.getColumnIndex("time")));

            model.setDatatype(cursor.getString(cursor.getColumnIndex("datatype")));
            model.setDatatime(cursor.getString(cursor.getColumnIndex("datatime")));
            model.setLocktype(cursor.getString(cursor.getColumnIndex("locktype")));
            model.setLock(cursor.getString(cursor.getColumnIndex("lock")));
            list.add(model);
        }
        return list;

    }
    //获取数据表中的记录的数量
    public long getCount(){
        Cursor cursor=db.rawQuery("select count(_id) from chinese_table",null);

        if(cursor.moveToNext()){
            return cursor.getLong(0);
        }
        cursor.close();
        return 0;
    }

    //获取数据库中记录的最大Id值
    public int getMaxId(){
        Cursor cursor=db.rawQuery("select max(_id) from chinese_table",null);
        if(cursor.moveToLast()){
            return cursor.getInt(0);
        }
        cursor.close();
        return 0;

    }
}
