package com.yonggang.dao;

import android.app.PendingIntent;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

/**
 * Created by Administrator on 2017/8/18.
 */
public class DBOpenHelper extends SQLiteOpenHelper {
    private static final String DBNAME="account.db";
    private  static  final int DBVERISON=1;
    public DBOpenHelper(Context context) {
        super(context, DBNAME, null, DBVERISON);
    }

    @Override

    public void onCreate(SQLiteDatabase db) {
        //创建支出数据表
        db.execSQL("create table tb_outaccount(_id integer primary key," +
                "name varchar(10),type varchar(10),brand varchar(10),price decimal," +
                "number integer ,money decimal,date varchar(15),bz varchar(50))");
        //创建收入数据表
        db.execSQL("create table tb_inaccount(_id integer primary key," +
                "card varchar(10),money decimal, time varchar(10)," +
                "source varchar(10),mark varchar(100))");
        // 创建语文表保存数据 ，主键为id
        db.execSQL("create table if not exists chinese_table (_id integer primary key autoincrement ," +
                "title text," +                    //标题title
                "context text," +                  //保存的内容context
                "time varchar(20)," +              //创建时间time
                "datatype text," +                 //通过布尔值判断是否设置提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置密码锁
                "lock text)");                      //锁密码
        //创建数学表保存数据，主键为id
        db.execSQL("create table if  not exists maths_table(_id integer primary key autoincrement," +
                "title text," +                     //标题title
                "context text," +                   //保存的内容context
                "time varchar(20)," +               //创建时间time
                "datatype text," +                  //通过布尔值判断是否设置了提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置了密码锁
                "lock text)");                      //锁密码

        // 创建英语表保存数据 ，主键为id
        db.execSQL("create table if not exists english_table (_id integer primary key autoincrement ," +
                "title text," +                    //标题title
                "context text," +                  //保存的内容context
                "time varchar(20)," +              //创建时间time
                "datatype text," +                 //通过布尔值判断是否设置提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置密码锁
                "lock text)");                      //锁密码
        //创建物理表保存数据，主键为id
        db.execSQL("create table if  not exists physics_table(_id integer primary key autoincrement," +
                "title text," +                     //标题title
                "context text," +                   //保存的内容context
                "time varchar(20)," +               //创建时间time
                "datatype text," +                  //通过布尔值判断是否设置了提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置了密码锁
                "lock text)");                      //锁密码
        // 创建化学表保存数据 ，主键为id
        db.execSQL("create table if not exists chemistry_table (_id integer primary key autoincrement ," +
                "title text," +                    //标题title
                "context text," +                  //保存的内容context
                "time varchar(20)," +              //创建时间time
                "datatype text," +                 //通过布尔值判断是否设置提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置密码锁
                "lock text)");                      //锁密码
        //创建历史表保存数据，主键为id
        db.execSQL("create table if  not history _table(_id integer primary key autoincrement," +
                "title text," +                     //标题title
                "context text," +                   //保存的内容context
                "time varchar(20)," +               //创建时间time
                "datatype text," +                  //通过布尔值判断是否设置了提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置了密码锁
                "lock text)");                      //锁密码
        // 创建地理表保存数据 ，主键为id
        db.execSQL("create table if not exists geograpical_table (_id integer primary key autoincrement ," +
                "title text," +                    //标题title
                "context text," +                  //保存的内容context
                "time varchar(20)," +              //创建时间time
                "datatype text," +                 //通过布尔值判断是否设置提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置密码锁
                "lock text)");                      //锁密码
        //创建生物表保存数据，主键为id
        db.execSQL("create table if  not exists biology_table(_id integer primary key autoincrement," +
                "title text," +                     //标题title
                "context text," +                   //保存的内容context
                "time varchar(20)," +               //创建时间time
                "datatype text," +                  //通过布尔值判断是否设置了提醒时间
                "datatime varchar(20)," +           //提醒时间
                "locktype text," +                  //通过布尔值判断是否设置了密码锁
                "lock text)");                      //锁密码


    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

    }
}
