package com.yonggang.dao;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

import com.yonggang.model.InaccountModel;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Administrator on 2017/8/18.
 */
public class InaccountDao {
    private DBOpenHelper helper;
    private SQLiteDatabase db;

    public InaccountDao(Context context) {
        helper = new DBOpenHelper(context);
        db = helper.getWritableDatabase();
    }

    public void add(InaccountModel inaccountModel) {

        db.execSQL(//插入一条新的记录
                "insert into tb_inaccount(_id,card,money,time,source,mark)values(?,?,?,?,?,?)",
                new Object[]{inaccountModel.getId(), inaccountModel.getCard(),inaccountModel.getMoney(),
                        inaccountModel.getTime(), inaccountModel.getSource(),
                        inaccountModel.getMark()});
    }

    public void update(InaccountModel inaccountModel) {//更新一条记录
        db.execSQL("update tb_inaccount set card=?,money=?,time=?,type=?,handler=?,mark=? where id=?",
                new Object[]{inaccountModel.getCard(),inaccountModel.getMoney(), inaccountModel.getTime(),
                        inaccountModel.getSource(), inaccountModel.getMark(), inaccountModel.getId()});

    }

    public void delete(Integer... ids) {//删除指定一系列编号的记录
        if(ids.length>0){
            StringBuffer sb=new StringBuffer();
            for(int i=0;i<ids.length;i++){
                sb.append('?').append(',');
            }
            sb.deleteCharAt(sb.length()-1);
            db.execSQL("delete from tb_inaccount where _id in(sb)",(Object[])ids);

        }

    }

    public List<InaccountModel> getScrollData(int start, int count) {
        //从收入数据表的指定索引处获取指定数量的数据
        List<InaccountModel>list=new ArrayList<InaccountModel>();
        Cursor cursor=db.rawQuery("select *from InaccountModel limit ?,?",
                new String[]{String.valueOf(start),String.valueOf(count)});
        while (cursor.moveToNext()){
            list.add(new InaccountModel(cursor.getInt(cursor.getColumnIndex("_id")),
                    cursor.getString(cursor.getColumnIndex("card")),
                    cursor.getDouble(cursor.getColumnIndex("money")),
                    cursor.getString(cursor.getColumnIndex("time")),
                    cursor.getString(cursor.getColumnIndex("source")),
                    cursor.getString(cursor.getColumnIndex("mark"))));
        }
        cursor.close();
        return list;

    }

    public InaccountModel find(int id) {//根据指定的编号查找收入信息
        Cursor cursor = db.rawQuery("select_id,money ,time,type,handler,mar from" +
                "InaccountModel where _id=?", new String[]{String.valueOf(id)});
        if (cursor.moveToNext()) {
            return new InaccountModel(cursor.getInt(cursor.getColumnIndex("_id")),
                    cursor.getString(cursor.getColumnIndex("card")),
                    cursor.getDouble(cursor.getColumnIndex("money")),
                    cursor.getString(cursor.getColumnIndex("time")),
                    cursor.getString(cursor.getColumnIndex("source")),
                    cursor.getString(cursor.getColumnIndex("mark")));

        }
        cursor.close();
        return null;


    }

    public long getCount() {//获取收入数据表的总记录数
        Cursor cursor = db.rawQuery("select count(_id) from InaccountModel", null);
        if (cursor.moveToNext()) {
            return cursor.getLong(0);

        }
        cursor.close();
        return 0;
    }

    public int getMaxId() {//获取收入数据表的最大编号
        Cursor cursor = db.rawQuery("select max(_id) from tb_inaccount", null);
        while (cursor.moveToLast()) {
            return cursor.getInt(0);
        }
        cursor.close();
        return 0;
    }


}
