package com.yonggang.dao;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.widget.DatePicker;

import com.yonggang.model.OutaccountModel;
import com.yonggang.model.OutaccountModel;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Administrator on 2017/8/22.
 */
public class OutaccountDao {
    private DBOpenHelper helper;
    private SQLiteDatabase db;

    public OutaccountDao(Context context) {
        helper = new DBOpenHelper(context);
        db = helper.getWritableDatabase();
    }

    public void add(OutaccountModel outaccountModel) {

        db.execSQL(//插入一条新的记录
                "insert into tb_outaccount(_id,name,type,brand,price,number,money,date,bz)" +
                        "values(?,?,?,?,?,?,?,?,?)",
                new Object[]{outaccountModel.getId(), outaccountModel.getName(), outaccountModel.getType(),
                        outaccountModel.getBrand(), outaccountModel.getPrice(), outaccountModel.getNumber(),
                        outaccountModel.getMoney(), outaccountModel.getDate(),
                        outaccountModel.getBz()});
    }

    public void update(OutaccountModel outaccountModel) {//更新一条记录
        db.execSQL("update tb_outaccount set name=?,type=?,brand=?,price=?,number=?,money=?,date=?," +
                        " bz=? where id=?",
                new Object[]{outaccountModel.getName(), outaccountModel.getType(), outaccountModel.getBrand(),
                        outaccountModel.getPrice(), outaccountModel.getNumber(),
                        outaccountModel.getMoney(), outaccountModel.getBz(), outaccountModel.getId()});

    }

    public void delete(Integer... ids) {//删除指定一系列编号的记录
        if (ids.length > 0) {
            StringBuffer sb = new StringBuffer();
            for (int i = 0; i < ids.length; i++) {
                sb.append('?').append(',');
            }
            sb.deleteCharAt(sb.length() - 1);
            db.execSQL("delete from tb_outaccount where _id in(sb)", (Object[]) ids);

        }

    }

    public List<OutaccountModel> getScrollData(int start, int count) {
        //从收入数据表的指定索引处获取指定数量的数据
        List<OutaccountModel> list = new ArrayList<OutaccountModel>();
        Cursor cursor = db.rawQuery("select *from tb_outaccount limit ?,?",
                new String[]{String.valueOf(start), String.valueOf(count)});
        while (cursor.moveToNext()) {
            list.add(new OutaccountModel(cursor.getInt(cursor.getColumnIndex("_id")),
                    cursor.getString(cursor.getColumnIndex("name")),
                    cursor.getString(cursor.getColumnIndex("type")),
                    cursor.getString(cursor.getColumnIndex("brand")),
                    cursor.getDouble(cursor.getColumnIndex("price")),
                    cursor.getInt(cursor.getColumnIndex("number")),
                    cursor.getDouble(cursor.getColumnIndex("money")),
                    cursor.getString(cursor.getColumnIndex("date")),
                    cursor.getString(cursor.getColumnIndex("mark"))));
        }
        cursor.close();
        return list;

    }

    public OutaccountModel find(int id) {//根据指定的编号查找支出信息
        Cursor cursor = db.rawQuery("select_id,name,type,brand,price,number," +
                "money ,date,bz from" +
                "tb_outaccount where _id=?", new String[]{String.valueOf(id)});
        if (cursor.moveToNext()) {
            return new OutaccountModel(cursor.getInt(cursor.getColumnIndex("_id")),
                    cursor.getString(cursor.getColumnIndex("name")),
                    cursor.getString(cursor.getColumnIndex("type")),
                    cursor.getString(cursor.getColumnIndex("brand")),
                    cursor.getDouble(cursor.getColumnIndex("price")),
                    cursor.getInt(cursor.getColumnIndex("number")),
                    cursor.getDouble(cursor.getColumnIndex("money")),
                    cursor.getString(cursor.getColumnIndex("date")),
                    cursor.getString(cursor.getColumnIndex("bz")));
        }
        cursor.close();
        return null;


    }

    public long getCount() {//获取收入数据表的总记录数
        Cursor cursor = db.rawQuery("select count(_id )from tb_outaccount", null);
        if (cursor.moveToNext()) {
            return cursor.getLong(0);
        }
        cursor.close();
        return 0;
    }

    public int getMaxId() {//获取收入数据表的最大编号
        Cursor cursor = db.rawQuery("select max(_id) from tb_outaccount", null);
        while (cursor.moveToLast()) {
            return cursor.getInt(0);
        }
        cursor.close();
        return 0;
    }


}
